<%= form_with(model: todo, local: true) do |form| %>
  <% if todo.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(todo.errors.count, "error") %> prohibited this todo from being saved:</h2>

      <ul>
      <% todo.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :title %>
    <%= form.text_field :title %>
  </div>

  <div class="field">
    <%= form.label :description %>
    <%= form.text_field :description %>
  </div>

  <div class="field">
    <%= form.label :status %>
    <%= form.check_box :status %>
  </div>

  <div class="field">
    <%= form.label :due_date %>
    <%= form.datetime_select :due_date %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
